package com.knownspace.tools;

import java.io.File;
import java.io.IOException;
import java.io.FileInputStream;
import java.io.FileOutputStream;

public class Copy
	{
	////////////////////////////////////////////////////////////////////////
	public static void copyFile(File fromFile, File toFile)
		throws IOException
		{
		/*
		Copy fromFile to toFile, overwriting toFile if it already exists.

		Throw IOException if there's any problem reading or writing the file.
		*/

		//open the source and destination streams for reading and writing
		FileInputStream from = null;
		FileOutputStream to = null;
		try
			{
			from = new FileInputStream(fromFile);
			to = new FileOutputStream(toFile);

			byte[] buffer = new byte[8192];
			int bytesRead = from.read(buffer);
			while(bytesRead != -1)
				{
				to.write(buffer, 0, bytesRead);
				bytesRead = from.read(buffer);
				}
			}

		//close the streams, even if exceptions are thrown
		finally
			{
			if (from != null)
				{
				try
					{
					from.close();
					}
				catch (IOException ignored)
					{}
				}
			if (to != null)
				{
				try
					{
					to.close();
					}
				catch (IOException ignored)
					{}
				}
			}
		}
	}
