package com.knownspace.tools;

import java.io.IOException;
import java.io.BufferedReader;
import java.io.FileReader;

public class StringTools
	{

	//java's standard enf of file flag
	public static final int END_OF_FILE = -1;

	////////////////////////////////////////////////////////////////////////
	public static String convertIntToString(final int numDigits, int integer)
		{
		/*
		Convert a positive integer to a numDigits-digit leading-zeros
		digit string and return the string.
		*/

		if (integer < 0)
			return "cannnot handle negative numbers";

		//find the digits of integer from least to most
		int powerOfTen = 10;
		StringBuffer numberString = new StringBuffer("");
		for (int i = 0; i < numDigits; i++)
			{
			int remainder = integer % powerOfTen;
			int digit = (int) (remainder * 10 /powerOfTen);
			numberString.append(digit);

			integer -= remainder;
			powerOfTen *= 10;
			}

		//return the reverse of the digit string
		return numberString.reverse().toString();
		}

	/////////////////////////////////////////////////////////////////////
	public static String convertFileToString(final String fileName)
		throws IOException
		{
		/*
		Return a string of all the characters in the given text file.
		*/

		BufferedReader stream = new BufferedReader(new FileReader(fileName));
		StringBuffer inString = new StringBuffer("");
		int character = stream.read();
		while (character != END_OF_FILE)
			{
			inString.append((char) character);
			character = stream.read();
			}
		stream.close();

		return inString.toString();
		}
	}
